Bug 517637 - Featurerequest: bash completion for yum
Summary: Featurerequest: bash completion for yum
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-15 13:46 UTC by Thomas Spura
Modified: 2014-01-21 23:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-16 15:36:15 UTC


Attachments (Terms of Use)
initial bash completion (2.99 KB, application/octet-stream)
2009-08-15 13:46 UTC, Thomas Spura
no flags Details

Description Thomas Spura 2009-08-15 13:46:05 UTC
Created attachment 357541 [details]
initial bash completion

It would be nice to have a bash completion like:

yum [TAB] -> see the possibilities like grouplist install and so on...


Attached is a initial patch for that.

What's your opinion towards this?

Is it worth to work on this? ;-)

Comment 1 seth vidal 2009-08-16 12:13:09 UTC
that's fine - but it might be better assigned to bash-completion than to yum.

Comment 2 Thomas Spura 2009-08-16 15:36:15 UTC
I believe it would be better to let the yum maintainers maintain the bash-completion -> I send this here.

In bash-completion is already a yum completion...
(I just didn't notice it :-( )


-> Suicide ;-)

Comment 3 Ville Skyttä 2009-08-16 21:14:46 UTC
Yep, bash-completion indeed contains yum completion.  But my (and other upstream bash-completion folks') general opinion is that it'd be better if completions were shipped by packages that contain the completed commands for two simple reasons: it's generally more likely that the completions were kept up to date that way, and the completions would only have to correspond to the software being shipped and there would be no need to have them working with old versions.  Let me know if you're interested in shipping the completion with yum.

Comment 4 Ville Skyttä 2009-08-16 21:30:38 UTC
(In reply to comment #3)
> and the completions would only have to correspond to the
> software being shipped and there would be no need to have them working with old
> versions.

...and when we update yum completion in bash-completion to work with new stuff added in new yum versions, those completions will then appear to whatever version of yum is installed, also old ones.

> Let me know if you're interested in shipping the completion with yum.

...and yes, I volunteer to maintain it in yum git if that makes a difference.

Comment 5 seth vidal 2009-08-17 13:20:06 UTC
Ville,
 Thanks - you're right putting it in yum makes sense - though I'm a little concerned how well it will work with plugins which add commands. But if you've got a version. Send a patch to the yum-devel list and we can work on getting you setup to maintain it from there.


Note You need to log in before you can comment on or make changes to this bug.